Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.annotation
Class InjectionMetadata

    java.lang.Object
      org.springframework.beans.factory.annotation.InjectionMetadata

    public class InjectionMetadata

extends Object

Internal class for managing injection metadata. Not intended for direct use in applications.

Used by `AutowiredAnnotationBeanPostProcessor`, `CommonAnnotationBeanPostProcessor` and `PersistenceAnnotationBeanPostProcessor`.

Since:
  2.5
Author:
  Juergen Hoeller

Nested Class Summary
`static class` | `InjectionMetadata.InjectedElement`

Constructor Summary
`InjectionMetadata(Class targetClass, Collection<InjectionMetadata.InjectedElement> elements)`

Method Summary
`void` | `checkConfigMembers(RootBeanDefinition beanDefinition)`
`void` | `inject(Object target, String beanName, PropertyValues pvs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionMetadata

    public InjectionMetadata(Class targetClass,
                             Collection<InjectionMetadata.InjectedElement> elements)

Method Detail

### checkConfigMembers

    public void checkConfigMembers(RootBeanDefinition beanDefinition)

### inject

    public void inject(Object target,
                       String beanName,
                       PropertyValues pvs)
                throws Throwable

  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD